<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-food-variant"></i>
    </span>
    Stock
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Stock</li>
    </ol>
  </nav>
</div>
<!-- boton  -->
<div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
  <div></div>
  <button type="button" class="btn btn-dark btn-fw" (click)="openModal(ModalContent)">
    <i class="mdi mdi-plus-box"> Crear stock</i>
  </button>
</div>
<!-- boton -->
<!-- Inicio de table -->
<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="card-title mb-sm-0">Listado de stock</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Nombre</th>
                <th class="font-weight-bold">Marca</th>
                <th class="font-weight-bold">Cantidad total</th>
                <th class="font-weight-bold">Cantidad actual</th>
                <th class="font-weight-bold">Codigo</th>
                <th class="font-weight-bold">Fecha caducidad</th>
                <th class="font-weight-bold">Precio</th>
                <th class="font-weight-bold">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of ingredients">
                <td>{{ item.ingrediente.nombre }}</td>
                <td></td>
                <td>{{ item.peso_total }}</td>
                <td>{{ item.peso_actual }}</td>
                <td>{{ item.codigo }}</td>
                <td>{{ item.fecha_caducidad }}</td>
                <td>{{ item.precio_ingreso }}</td>
                <td>
                  <button type="button" class="btn btn-inverse-dark btn-icon"
                    (click)="editarIngrediente(item); openModalEdit(MCEIngredient)">
                    <i class="mdi mdi-grease-pencil"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin de table -->

<!-- Modal crear rol inicio -->
<ng-template class="modal fade" #ModalContent let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body" [formGroup]="ingredientCreate">
          <h4 class="card-title">Crear stock</h4>
          <p class="card-description">
            Ingrese los campos requeridos para la creación del stock
          </p>
          <div class="form-group">
            <label for="ingrediente_id">Tipo de ingrediente</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
              </div>
              <select class="custom-select" id="ingrediente_id" formControlName="ingrediente_id">
                <option selected>Seleccione un tipo de ingrediente</option>
                <option *ngFor="let item of tipeIngredient" [value]="item.id">{{ item.nombre }} {{item.marca.nombre}}
                </option>
              </select>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <div class="forms-sample">
                <div class="form-group">
                  <label for="exampleInputName2">Cantidad</label>
                  <input type="text" class="form-control" id="cantidad" placeholder="Ingrese una cantidad" #cantidad
                    style="background-color:dark" formControlName="cantidad">
                </div>
              </div>
            </div>
            <div class="col">
              <div class="form-group">
                <label for="unidad_medida">Unidad de medida</label>
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                  </div>
                  <select class="custom-select" id="unidad_medida" #unidad_medida formControlName="unidad_medida">
                    <option selected>Seleccione una unidad de medida</option>
                    <option [value]="'gr'">gr</option>
                    <option [value]="'ml'">ml</option>
                  </select>
                </div>
              </div>
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Codigo</label>
              <input type="text" class="form-control" id="codigo" placeholder="Ingrese un codigo" #codigo
                style="background-color:dark" formControlName="codigo">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Fecha de caducidad</label>
              <input type="date" class="form-control" id="fecha_caducidad" placeholder="Ingrese un fecha_caducidad" #fecha_caducidad
                style="background-color:dark" formControlName="fecha_caducidad">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Precio</label>
              <input type="number" class="form-control" id="precio_ingreso" placeholder="$" #precio_ingreso
                style="background-color:dark" formControlName="precio_ingreso">
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2"
        (click)="crearIngrediente(ingredientCreate.value, modal)">Crear</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="modal.dismiss()">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear rol final -->

<!-- Editar ingrediente inicio  -->
<ng-template class="modal fade " #MCEIngredient let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="dismiss(modal)">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body">
          <h4 class="card-title">Editar stock</h4>
          <p class="card-description">
            Modifique los campos deseados para editar el stock
          </p>
          <form class="forms-sample">
            <div class="form-group">
              <label for="ingrediente_id">Tipo de ingrediente</label>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                </div>
                <select class="custom-select" id="ingrediente_id" [(ngModel)]="ingredientModel.ingrediente_id"
                  name="ingrediente_id" #ingrediente_id="ngModel">
                  <option [value]="null">Seleccione un tipo de ingrediente</option>
                  <option *ngFor="let tipeIngre of tipeIngredient" [value]="tipeIngre.id">{{ tipeIngre.nombre }}
                  </option>
                </select>
              </div>
            </div>
            <div class="form-group">
              <label for="exampleInputName1">Cantidad total</label>
              <input type="text" class="form-control" id="peso_total" placeholder="Cantidad total" name="peso_total"
                [(ngModel)]="ingredientModel.peso_total" #peso_total="ngModel">
            </div>
            <div class="form-group">
              <label for="exampleInputName1">Cantidad actual</label>
              <input type="text" class="form-control" id="peso_actual" placeholder="Cantidad actual" name="peso_actual"
                [(ngModel)]="ingredientModel.peso_actual" #peso_actual="ngModel">
            </div>
            <div class="form-group">
              <label for="exampleInputName1">Codigo</label>
              <input type="text" class="form-control" id="codigo" placeholder="codigo" name="codigo"
                [(ngModel)]="ingredientModel.codigo" #codigo="ngModel">
            </div>
            <div class="form-group">
              <label for="exampleInputName1">Fecha</label>
              <input type="date" class="form-control" id="fecha_caducidad" placeholder="fecha_caducidad de caducidad"
                name="fecha_caducidad" [(ngModel)]="ingredientModel.fecha_caducidad" #fecha_caducidad="ngModel">
            </div>
            <div class="form-group">
              <label for="exampleInputName1">Precio</label>
              <input type="text" class="form-control" id="precio_ingreso" placeholder="Cantidad total" name="precio_ingreso"
                [(ngModel)]="ingredientModel.precio_ingreso" #precio_ingreso="ngModel">
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-success mr-2" (click)="guardarEdit(modal)">Guardar</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="dismiss(modal)">Cancelar</button>
    </div>
  </div>
</ng-template>
<!-- Editar final -->
